​
Select Service
ves-io-schema-advertise_policy-API-Get
Published April 5, 2023 | Last modified June 15, 2026
Examples of getting advertise_policy
Usecase:
Get public advertise policy created in previous create example.
Request using vesctl:
vesctl configuration get advertise_policy advertise-on-public --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: advertise-on-public namespace: documentationreferringObjects: []resourceVersion: "12"spec: port: 443 protocol: TCP publicIp: [] tlsParameters: commonParams: cipherSuites: [] tlsCertificates: - certificateUrl: string:///<Base64> privateKey: {} crl: [] noClientCertificate: {} xfccHeaderElements: [] where: virtualNetwork: ref: - kind: virtual_network name: public namespace: shared tenant: ves-iostatus: []systemMetadata: creationTimestamp: "2026-04-13T01:58:57.039995Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 3f4c0662-1ad2-44e3-96d0-5f9a1107914dRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/advertise_policys/advertise-on-public?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 01:58:57 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "12", "metadata": { "name": "advertise-on-public", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "3f4c0662-1ad2-44e3-96d0-5f9a1107914d", "creation_timestamp": "2026-04-13T01:58:57.039995Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "where": { "virtual_network": { "ref": [ { "kind": "virtual_network", "uid": "", "tenant": "ves-io", "namespace": "shared", "name": "public" } ] } }, "address": "", "public_ip": [ ], "protocol": "TCP", "port": 443, "tls_parameters": { "common_params": { "minimum_protocol_version": "TLS_AUTO", "maximum_protocol_version": "TLS_AUTO", "cipher_suites": [ ], "tls_certificates": [ { "certificate_url": "string:///\u003cBase64\u003e", "private_key": { "blindfold_secret_info_internal": null, "secret_encoding_type": "EncodingNone" }, "description": "" } ], "trusted_ca_url": "", "validation_params": null }, "require_client_certificate": false, "no_client_certificate": {
}, "crl": [ ], "xfcc_header_elements": [ ] }, "skip_xff_append": false }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}